/////////////////////////////////////////
// KeypadMonitor.cpp
// 720020-1154x
//
// Applied Data Systems
// www.applieddata.net
// 
//
// Description
// -----------
// This project continually monitors for keypad input and sends any keypad
// data out the device's debug port.
//
// This project requires the ADSmartIO wrapper class 720020-1153x
//
// History
// -------
// 720020-11541 - July 3, 2003 : ctacke
//   - initial release
/////////////////////////////////////////
#include <windows.h>
#include "adsmartio.h"

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
                    LPTSTR lpCmdLine, int nCmdShow )
{
	BYTE		key			= 0;

	RETAILMSG(TRUE, (_T("Starting keypad monitor...\r\n")));
	ADSmartIO	*smartio	= new ADSmartIO();

	// set up keypad
	DEBUGMSG(TRUE,(_T("Calling SelectOption...")));
	smartio->SelectOption(1);
	DEBUGMSG(TRUE,(_T("ok\r\nCalling SetKeyPadSize...")));
	smartio->SetKeyPadSize(4,4);
	DEBUGMSG(TRUE,(_T("ok\r\n")));

	while(true)
	{
		key = smartio->ReadKeypad();
		RETAILMSG(TRUE, (_T("Keypad read value: %i\r\n"), key));
	}

	RETAILMSG(TRUE, (_T("Keypad monitor done\r\n")));

	// never gets here, but for completeness, clean up
	delete smartio;

	return 0;
}